#version 150

in vec3 view_corner;
out vec3 view_dir;
out vec4 view_pos;

void main(void) {
	//view_dir = vec3(0.8);
	view_pos = vec4(qgl_ModelViewMatrix * vec4(qgl_Vertex.xy, 1, 1));
	view_pos /= view_pos.w;
	view_dir = vec3(view_corner.xyz);// / view_corner.z;
	qgl_FragTexture = qgl_Texture;
	qgl_FragColor = qgl_Color;
	gl_Position = qgl_ftransform();
	//gl_Position = vec4(qgl_Vertex,1);
}
